LFR-FSW - Bug #175

PA_LFR_ACQUISITION_TIME=0x000000000000 sur TM_LFR_SCIENCE_NORMAL_CWF F3
incoherent / TC_LFR_ENTER_MODE

19/06/2014 08:06 AM - Veronique bouzid

Status: Closed Start date: 19/06/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

On demande un chgt de mode instantané

08:21:11.241669, TC_LFR_ENTER_MODE (CP_LFR_MODE=1), CP_LFR_ENTER_MODE_TIME=0x000000000000
08:21:11.261724, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000004e88b

ensuite arrive une TM_LFR_SCIENCE_NORMAL_CWF_F3
08:26:47.238015, TM_LFR_SCIENCE_NORMAL_CWF_F3, PA_LFR_ACQUISITION_TIME=0x000000000000,
PA_LFR_CWF3_BLK _NR=672

Question:
Pourquoi PA_LFR_ACQUISITION_TIME=0x000000000000 alors que le chgt de mode n'a été fait qu'a TIME=0x80000004e88b
soit 4secondes apres le début du reset HW.

Dans ce script, on n envoie pas de Timecode.

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.23

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.11 (variante sur carte finale)

TEST CASE = SVS-0073
Req = SSS-CP-FS-431

History

#1 - 19/06/2014 08:17 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

fsw >=1.0.0.12

Bug identifié et corrigé. Vérification sur deux réception de CWF_F3 consécutives.

#2 - 23/06/2014 06:04 PM - Veronique bouzid

- Status changed from Resolved to Closed

Test (SVS-0073, script loadNorm.py) rejoué en 1.0.0.12

C'est Ok.

16:46:51.727297, TC_LFR_ENTER_MODE (CP_LFR_MODE=1), CP_LFR_ENTER_MODE_TIME=0x000000000000
16:46:51.78917, TM_LFR_TC_EXE_SUCCESS,*TIME=0x80000004c5a8*

16:49:39.790752, TM_LFR_SCIENCE_NORMAL_CWF_F3, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:

PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=147, (PACKET_SEQUENCE_CONTROL=0xc093), PACKET_LENGTH=4051, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x80000004d0f0, PA_LFR_SID_PKT: SC_N_CWF_F3 = 1, PA_BIA_MODE_MUX_SET: SET 0 = 0, PA_BIA_MODE_HV_ENABLED:
ENABLED = 1, PA_BIA_MODE_BIAS1_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS2_ENABLED: ENABLED = 1,
PA_BIA_MODE_BIAS3_ENABLED: ENABLED = 1, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x80000004d0f0,
PA_LFR_CWF3_BLK_NR=672

Contexte:

SocExplorerEngine.getSocExplorer: Version = 0.2.2, Branch = default, Changeset = ¢c839740ef520
Carte EM

Vhdl: EM_1.1.23

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.12 (variante sur carte finale)

TEST-CASE = SVS-0073
